#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x2dffef46, "");
SYMBOL_CRC(drm_gem_vram_put, 0x92863510, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xdae98be7, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xae81b342, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0xa579fa97, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x5c03bc8c, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xc640fdb1, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x209e259e, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x670c2c13, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x3cd74af0, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x4fb3dbb6, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x2a1c030f, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x4be2e247, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x0e4670ee, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xcbdfda9d, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x99222fb2, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x289f0a, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x333ef1a1, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc69799d, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x49d54dfb, "drm_gem_object_release" },
	{ 0x992b0aa1, "ttm_tt_init" },
	{ 0x44f10703, "drm_gem_handle_create" },
	{ 0x74a5cabb, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3b530386, "ttm_bo_unpin" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0xfbf7654c, "drm_debugfs_add_files" },
	{ 0xead61221, "ttm_bo_init_validate" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ead9a3f, "ttm_device_init" },
	{ 0x5c2777a4, "ttm_bo_validate" },
	{ 0x5cf8c2a7, "ttm_bo_move_to_lru_tail" },
	{ 0x8ba87c1d, "ttm_bo_vmap" },
	{ 0xd803faef, "ttm_bo_put" },
	{ 0xf50e0892, "ttm_resource_free" },
	{ 0xb027ae5a, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4fad753b, "ttm_tt_fini" },
	{ 0x7303b2a, "ttm_device_fini" },
	{ 0x49127e82, "drm_gem_plane_helper_prepare_fb" },
	{ 0x93f14d7, "ttm_bo_eviction_valuable" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0xb4ece798, "drm_gem_ttm_print_info" },
	{ 0xbf774ac3, "ttm_range_man_init_nocheck" },
	{ 0x1c301530, "ww_mutex_lock_interruptible" },
	{ 0xa9194611, "ttm_resource_manager_debug" },
	{ 0xb6004ca0, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xc42a4619, "ttm_range_man_fini_nocheck" },
	{ 0x715600ea, "drm_gem_object_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x272c7ace, "ttm_bo_pin" },
	{ 0x1628df89, "dev_driver_string" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "drm_ttm_helper,ttm");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");

MODULE_INFO(suserelease, "SLFO-1.2");
