#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf271e6c8, "irq_domain_instantiate" },
	{ 0x5beaf5d, "irq_create_mapping_affinity" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x51ccafbd, "handle_simple_irq" },
	{ 0x15558255, "irq_set_chip_and_handler_name" },
	{ 0x8d0c01a8, "_dev_err" },
	{ 0xa8a42e42, "__dev_fwnode_const" },
	{ 0xdbb0ff77, "fwnode_property_match_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x932ebfa5, "device_property_present" },
	{ 0xab3ff1aa, "i2c_smbus_write_byte_data" },
	{ 0xb2fd3807, "i2c_smbus_write_byte" },
	{ 0xa01ce181, "_dev_warn" },
	{ 0xcf80c35a, "regulator_disable" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x4acf3718, "irq_domain_remove" },
	{ 0xbe28da85, "i2c_mux_del_adapters" },
	{ 0x7cc4f82a, "device_remove_file" },
	{ 0x4addef47, "i2c_client_get_device_id" },
	{ 0xc58c7d1, "i2c_mux_alloc" },
	{ 0xf75d1450, "devm_regulator_get" },
	{ 0x97e8a84d, "regulator_enable" },
	{ 0x7b161be5, "__devm_reset_control_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x46d34288, "device_get_match_data" },
	{ 0x88929738, "i2c_get_device_id" },
	{ 0xd8c5c4dd, "device_property_read_u32_array" },
	{ 0xcef6a29c, "i2c_mux_add_adapter" },
	{ 0xc1ad9e96, "dev_err_probe" },
	{ 0x10d6b573, "devm_gpiod_get_optional" },
	{ 0x98669b87, "devm_request_threaded_irq" },
	{ 0x35a2b606, "gpiod_set_value_cansleep" },
	{ 0xcefc1080, "device_create_file" },
	{ 0x27a6727, "_dev_info" },
	{ 0xec4345b7, "__i2c_smbus_xfer" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x29d36097, "i2c_register_driver" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf056775, "i2c_smbus_read_byte" },
	{ 0xec450437, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfc87a449, "i2c_del_driver" },
	{ 0xe100c47e, "irq_domain_simple_ops" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "i2c-mux");

MODULE_ALIAS("of:N*T*Cmaxim,max7356");
MODULE_ALIAS("of:N*T*Cmaxim,max7356C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7357");
MODULE_ALIAS("of:N*T*Cmaxim,max7357C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7358");
MODULE_ALIAS("of:N*T*Cmaxim,max7358C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7367");
MODULE_ALIAS("of:N*T*Cmaxim,max7367C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7368");
MODULE_ALIAS("of:N*T*Cmaxim,max7368C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7369");
MODULE_ALIAS("of:N*T*Cmaxim,max7369C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9540");
MODULE_ALIAS("of:N*T*Cnxp,pca9540C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9542");
MODULE_ALIAS("of:N*T*Cnxp,pca9542C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9543");
MODULE_ALIAS("of:N*T*Cnxp,pca9543C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9544");
MODULE_ALIAS("of:N*T*Cnxp,pca9544C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9545");
MODULE_ALIAS("of:N*T*Cnxp,pca9545C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9546");
MODULE_ALIAS("of:N*T*Cnxp,pca9546C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9547");
MODULE_ALIAS("of:N*T*Cnxp,pca9547C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9548");
MODULE_ALIAS("of:N*T*Cnxp,pca9548C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9846");
MODULE_ALIAS("of:N*T*Cnxp,pca9846C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9847");
MODULE_ALIAS("of:N*T*Cnxp,pca9847C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9848");
MODULE_ALIAS("of:N*T*Cnxp,pca9848C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9849");
MODULE_ALIAS("of:N*T*Cnxp,pca9849C*");
MODULE_ALIAS("i2c:max7356");
MODULE_ALIAS("i2c:max7357");
MODULE_ALIAS("i2c:max7358");
MODULE_ALIAS("i2c:max7367");
MODULE_ALIAS("i2c:max7368");
MODULE_ALIAS("i2c:max7369");
MODULE_ALIAS("i2c:pca9540");
MODULE_ALIAS("i2c:pca9542");
MODULE_ALIAS("i2c:pca9543");
MODULE_ALIAS("i2c:pca9544");
MODULE_ALIAS("i2c:pca9545");
MODULE_ALIAS("i2c:pca9546");
MODULE_ALIAS("i2c:pca9547");
MODULE_ALIAS("i2c:pca9548");
MODULE_ALIAS("i2c:pca9846");
MODULE_ALIAS("i2c:pca9847");
MODULE_ALIAS("i2c:pca9848");
MODULE_ALIAS("i2c:pca9849");

MODULE_INFO(srcversion, "314C36DD1807BA28552C51F");

MODULE_INFO(suserelease, "SLFO-1.2");
