#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_do_setdasa, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_DATA(i3c_bus_type, "_gpl", "");
KSYMTAB_FUNC(i3c_for_each_bus_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_register_notifier, "_gpl", "");
KSYMTAB_FUNC(i3c_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enable_hotjoin, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disable_hotjoin, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0xf3205e02, "_gpl");
SYMBOL_CRC(i3c_device_do_setdasa, 0x447d0001, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x0b209ea3, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x2c410fd8, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0x9985aad6, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0x328772cd, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0x345ecde6, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0xb0114e78, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x863e90ab, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0x9fcef00b, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0x5de13abb, "_gpl");
SYMBOL_CRC(i3c_bus_type, 0x6cca1c00, "_gpl");
SYMBOL_CRC(i3c_for_each_bus_locked, 0xadeefc8c, "_gpl");
SYMBOL_CRC(i3c_register_notifier, 0xaa91f3f5, "_gpl");
SYMBOL_CRC(i3c_unregister_notifier, 0x2305c897, "_gpl");
SYMBOL_CRC(i3c_master_enable_hotjoin, 0x3ef67993, "_gpl");
SYMBOL_CRC(i3c_master_disable_hotjoin, 0xb9ddbb68, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x00ec81c4, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0x363c0f6d, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x5b92dbcc, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0xa7549ac7, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0x8fc9820d, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0xcf4d0d29, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0xca340e54, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0x292c1612, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0xb83538ae, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0x2973a2b4, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x92eab98a, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x96d195fb, "_gpl");
SYMBOL_CRC(i3c_master_register, 0x33b6047d, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x2546029c, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0x23ae085a, "bus_register_notifier" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x444bc8f, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xa1a9089c, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8d0c01a8, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x3ebbd272, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb24ec465, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc17b9c7c, "i2c_new_client_device" },
	{ 0xd092eb0c, "i2c_bus_type" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x78466bba, "device_register" },
	{ 0xf4f5162f, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa43542c7, "pm_runtime_no_callbacks" },
	{ 0x668b19a1, "down_read" },
	{ 0x7111051a, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0x6b246ad1, "__pm_runtime_disable" },
	{ 0x53b954a2, "up_read" },
	{ 0xba8a98e3, "driver_register" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0x7adbaaa3, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xae42dbc7, "bus_unregister_notifier" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9fe9d7dc, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x53da80b5, "i2c_client_type" },
	{ 0xb1d43c42, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x688d6b2b, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x22d86111, "__dynamic_dev_dbg" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x93868926, "put_device" },
	{ 0x9acda732, "pm_runtime_enable" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9B46586097E0FAF033FE497");

MODULE_INFO(suserelease, "SLFO-1.2");
