#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0xeb810da4, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0xa9d16a69, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3a9b7ba0, "dma_alloc_attrs" },
	{ 0x27444c6b, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x88bcd3f5, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x552a2aa0, "page_pool_put_unrefed_netmem" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9bb8b633, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfb2fc474, "pci_restore_state" },
	{ 0x7b26c9f3, "page_pool_create" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xb0ae7243, "mlxsw_core_ptp_transmitted" },
	{ 0x66d685c2, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xff4d605d, "__pskb_pull_tail" },
	{ 0x6cf15cff, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1b170d4e, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcf22d88f, "alloc_netdev_dummy" },
	{ 0x350d8aca, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8e1038b2, "pci_release_regions" },
	{ 0xc5b96002, "page_pool_alloc_pages" },
	{ 0x16b5f3bb, "napi_build_skb" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfcc1f0fe, "pci_disable_device" },
	{ 0xd4615478, "dma_set_mask" },
	{ 0x3e15f685, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xccfc6765, "napi_schedule_prep" },
	{ 0x2aa7315e, "napi_consume_skb" },
	{ 0xab4ccde9, "napi_disable" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfe204618, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0x4422938c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6dc79b9b, "pci_cfg_access_unlock" },
	{ 0xe4cae1f2, "pci_enable_device" },
	{ 0x9af68bc0, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbbfa9a69, "pci_alloc_irq_vectors" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0x2cf28f2a, "dma_unmap_page_attrs" },
	{ 0xe71d54c7, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xb1035bba, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9dd865d7, "page_pool_destroy" },
	{ 0x1fede2df, "netif_napi_add_weight_locked" },
	{ 0xff916aee, "pci_irq_vector" },
	{ 0x22d86111, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x484489a4, "mlxsw_cmd_exec" },
	{ 0x917567c8, "pci_unregister_driver" },
	{ 0xb6deed1a, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x89ceab77, "mlxsw_core_bus_device_register" },
	{ 0x1628df89, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2cf01fd3, "dma_map_page_attrs" },
	{ 0x2e87e0f3, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe97c13e8, "__napi_schedule" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x98c41ba0, "dev_set_threaded" },
	{ 0xb0d24267, "__pci_reset_function_locked" },
	{ 0x34e90ff9, "__dma_sync_single_for_cpu" },
	{ 0x8d0c01a8, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "7FF019A6D3D4E4E43DCDF80");

MODULE_INFO(suserelease, "SLFO-1.2");
