#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0x4ca12067, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x5b4a0c65, "_gpl");
SYMBOL_CRC(mt76s_wr, 0xb2160561, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0xec46a2fc, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0xf344fa2a, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0xf96b3cec, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x44a35a02, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x89d2e9c1, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0x4b9d7883, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x877e415b, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0xc0bc1554, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x4b97e9f4, "_gpl");
SYMBOL_CRC(mt76s_init, 0x5952c29e, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0xef4f6e61, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x88380e3a, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0xfa6ef553, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x2e0a2d9c, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x70394cfd, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8e9ba0a7, "pskb_expand_head" },
	{ 0xb875b54c, "mt76_tx_status_check" },
	{ 0x29885ebf, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc9d26805, "__alloc_pages_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x158816d9, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfa87b304, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb23a1eff, "sdio_readsb" },
	{ 0x8d0c01a8, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc859bb75, "__SCK__tp_func_dev_irq" },
	{ 0xb6f6c522, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x17ecc433, "__put_devmap_managed_folio_refs" },
	{ 0x42643ade, "kthread_stop" },
	{ 0xe401e05e, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc1aaba6c, "mt76_queue_tx_complete" },
	{ 0xdcf41e0c, "kthread_create_on_node" },
	{ 0x4484b84b, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd53e9ff, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x82a6cee4, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x29a685d8, "sdio_claim_irq" },
	{ 0x3d90cb73, "mt76_skb_adjust_pad" },
	{ 0x3d02329d, "sdio_enable_func" },
	{ 0xe61d306c, "sdio_writesb" },
	{ 0x3e15f685, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf2cf6ef6, "sdio_release_host" },
	{ 0xb2ff8d94, "sdio_disable_func" },
	{ 0xb691749, "sdio_set_block_size" },
	{ 0x62dc1f79, "devm_kmalloc" },
	{ 0x9af68bc0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x130ba15b, "sdio_claim_host" },
	{ 0x9660b973, "consume_skb" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "1AA474BB8FE527D03744F41");

MODULE_INFO(suserelease, "SLFO-1.2");
