#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x21a64de9, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x69e274df, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x5f0d3a85, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xab55ccb5, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x883bbd05, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x7cfe96ce, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x2fd30ac9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0x8144a372, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x4484b84b, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x6b254736, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0xc859bb75, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x32e2b82a, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x08854d3a, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xabc0bf86, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xbcf9d2df, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xa2a3b877, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x27c1dc84, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x08a4f35b, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x09b896d9, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x5d717dcb, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x35dee887, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0xbb11d15e, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xd10ce953, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0xd9b5b351, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x52f80d0a, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x9a73d380, "_gpl");
SYMBOL_CRC(mt76_free_device, 0xaecf97db, "_gpl");
SYMBOL_CRC(mt76_rx, 0x9c51b406, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x847de696, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0xe6bf0d1b, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0xd8c1ecb8, "_gpl");
SYMBOL_CRC(mt76_update_channel, 0x6aac405a, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x697eaa84, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x46746270, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x0d53e9ff, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xd929ea17, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x82a16c28, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x2ee50cd7, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x6033f2aa, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0xe31e3d8c, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0xc1d21aed, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x97c68315, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xc01e316e, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0x9c73a4ad, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xcddfa83e, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0xfc0c4ea4, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x6cd05398, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xc662d4db, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x72cefa51, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x97f04db2, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0xb25d2386, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xa34dbde0, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x31aa2267, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x8588f103, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xf8353fa9, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x0ca6259f, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xfe57de58, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0xeec8d735, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x29b5cafb, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0x749f4a51, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x7122422e, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0xcc6fcf4b, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0xcc94be99, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x0596126a, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xbad4a315, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x9962bd06, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x24489165, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x4f94bda6, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x0ef262a5, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x99622c06, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x09bacffc, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xb875b54c, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xe1330808, "_gpl");
SYMBOL_CRC(mt76_tx, 0x31c6ef6b, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0xe8fd2a80, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x5f511f23, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0xc7bd6888, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x86fdc57b, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x7ee04f44, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x06d713de, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x3d90cb73, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xc1aaba6c, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0xbb555852, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x5b418501, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0xf1a603ce, "_gpl");
SYMBOL_CRC(mt76_token_release, 0xb2e6eb19, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0xb0ad8427, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xb52fa2b7, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x7b42febf, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x0d73ce04, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x67c3d426, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x1f3a4c95, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x1c760352, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x181f3c9f, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xe26bfbdb, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0x43a1ba86, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0x275de80b, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0xfb51f5a3, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0xdcbdd70d, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x73d2cde, "debugfs_create_blob" },
	{ 0xbb0b8977, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e0a2d9c, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x9dd865d7, "page_pool_destroy" },
	{ 0x3b8f40b, "ieee80211_register_hw" },
	{ 0x431565ee, "led_classdev_unregister" },
	{ 0x13cbbce0, "__ieee80211_create_tpt_led_trigger" },
	{ 0x1fede2df, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x5b67576f, "ieee80211_sta_eosp" },
	{ 0x2f3c247, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2326c9f5, "kthread_park" },
	{ 0x70394cfd, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x29885ebf, "wake_up_process" },
	{ 0x1628df89, "dev_driver_string" },
	{ 0xb58cc74e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2cf01fd3, "dma_map_page_attrs" },
	{ 0x2e87e0f3, "napi_complete_done" },
	{ 0x47f0137f, "ieee80211_get_tx_rates" },
	{ 0xf6060c12, "ieee80211_send_bar" },
	{ 0x21e7e081, "cfg80211_reg_check_beaconing" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x1569940e, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8bc34deb, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xfa87b304, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x79415b3a, "const_pcpu_hot" },
	{ 0x6dbc735b, "pci_disable_link_state" },
	{ 0x27a6727, "_dev_info" },
	{ 0x74b81bb9, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xc9463945, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0x35a9e35b, "kthread_unpark" },
	{ 0x98c41ba0, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd50c7d12, "debugfs_attr_read" },
	{ 0x34e90ff9, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6251dfe0, "ieee80211_queue_delayed_work" },
	{ 0xd3f02869, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3a61094c, "perf_trace_run_bpf_submit" },
	{ 0x8d0c01a8, "_dev_err" },
	{ 0x2d04e61e, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x413e12b4, "simple_attr_release" },
	{ 0x12f50186, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7b4d83a3, "ieee80211_find_sta_by_ifaddr" },
	{ 0x38efe5eb, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd5d936dc, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfff4e4d8, "skb_push" },
	{ 0x27444c6b, "napi_enable" },
	{ 0x13c0013, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xfd48ce47, "seq_putc" },
	{ 0xcae06bf8, "trace_event_reg" },
	{ 0xc3858fb3, "ieee80211_sta_pspoll" },
	{ 0x88bcd3f5, "free_netdev" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x552a2aa0, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x42643ade, "kthread_stop" },
	{ 0xdbaf6070, "ieee80211_free_txskb" },
	{ 0x52cb11b4, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x265ac98, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x2afb923c, "ieee80211_tx_dequeue" },
	{ 0x48f12644, "ieee80211_rx_list" },
	{ 0x7b26c9f3, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x125a96cb, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6cf15cff, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdcf41e0c, "kthread_create_on_node" },
	{ 0xb39a8cc8, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcf22d88f, "alloc_netdev_dummy" },
	{ 0xade3f682, "trace_event_buffer_reserve" },
	{ 0x15209190, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x46e26e, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa51d29e, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x16b5f3bb, "napi_build_skb" },
	{ 0x69e11e96, "seq_write" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd87714f4, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3e15f685, "skb_add_rx_frag_netmem" },
	{ 0xab4ccde9, "napi_disable" },
	{ 0x42c9a3f7, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x855235d7, "debugfs_create_u8" },
	{ 0x41a230a6, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe04d2ebd, "pcie_capability_read_word" },
	{ 0x8197918b, "__skb_pad" },
	{ 0x24bae348, "page_pool_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8d976e2b, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x48b88359, "__ieee80211_schedule_txq" },
	{ 0x97ae5c1, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x62dc1f79, "devm_kmalloc" },
	{ 0x9af68bc0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7824a5b6, "page_pool_alloc_frag" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9660b973, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x65de5a06, "dmam_alloc_attrs" },
	{ 0x89b6d0dd, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x7ecb069f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x84dbf7af, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xed5edb4a, "ieee80211_free_hw" },
	{ 0x2cf28f2a, "dma_unmap_page_attrs" },
	{ 0x741dcf4, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7975e714, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x89ff0030, "ieee80211_tx_status_ext" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "6735B1B1CE1ABD6C69DB325");

MODULE_INFO(suserelease, "SLFO-1.2");
