#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(__usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0xd44bd717, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x4766f759, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0xe37aad77, "");
SYMBOL_CRC(usb_serial_resume, 0xf80e5347, "");
SYMBOL_CRC(__usb_serial_register_drivers, 0xebd55bd7, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x55f0bc00, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x39a5ec0c, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0xe5cdd4df, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0xc9e97cad, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0xb707b9aa, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0x014edda7, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0xe61e8797, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x984641e1, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0x3f561366, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x27e8396c, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x4e48e95d, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0xfc05d527, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x9d1b3d76, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x9224adc7, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0x5272f7ec, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x3164612f, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0x56fc209c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e9f32a3, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xda708939, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x1691763, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x93868926, "put_device" },
	{ 0xfdc3ac09, "usb_get_dev" },
	{ 0x79415b3a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x89414e6a, "usb_submit_urb" },
	{ 0x27a6727, "_dev_info" },
	{ 0x781697f7, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5220d44f, "module_put" },
	{ 0x923a0773, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x48960b27, "usb_match_id" },
	{ 0x2d154020, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa1a9089c, "bus_unregister" },
	{ 0x8d0c01a8, "_dev_err" },
	{ 0x3ebbd272, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x1166807e, "tty_ldisc_ref" },
	{ 0x67b35d78, "tty_vhangup" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xee64e408, "__tty_insert_flip_string_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8c54f90, "tty_port_destroy" },
	{ 0x94a5a59a, "tty_port_init" },
	{ 0xc70621d4, "usb_driver_claim_interface" },
	{ 0xfd48ce47, "seq_putc" },
	{ 0x1cbec729, "usb_poison_urb" },
	{ 0x9dc824ea, "usb_unpoison_urb" },
	{ 0xb24ec465, "driver_unregister" },
	{ 0xc6c1f878, "tty_port_register_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4627c0ba, "tty_ldisc_deref" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x78aa3b43, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf4f5162f, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x811887e4, "tty_port_close" },
	{ 0xa01ce181, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3263ea24, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x779a9273, "tty_register_driver" },
	{ 0x69e11e96, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0x39f172f9, "usb_kill_urb" },
	{ 0xec24d97c, "usb_dynids_lock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xdd244600, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd87714f4, "seq_printf" },
	{ 0x388c1249, "tty_port_open" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xba8a98e3, "driver_register" },
	{ 0x20cfddf2, "tty_driver_kref_put" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0x7adbaaa3, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x53fb7967, "tty_port_tty_get" },
	{ 0x29838a81, "usb_put_intf" },
	{ 0xe58e4747, "usb_alloc_urb" },
	{ 0x82bf56d6, "usb_autopm_put_interface" },
	{ 0x73152eef, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x26db67df, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9fe9d7dc, "dev_set_name" },
	{ 0xf42f1c97, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x74020eb6, "tty_flip_buffer_push" },
	{ 0xdd5daf, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd48931e8, "tty_kref_put" },
	{ 0x73328a11, "usb_register_driver" },
	{ 0xfa8ef16b, "usb_match_one_id" },
	{ 0x688d6b2b, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x6bf26b4c, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x96e4c7b, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7f16e2af, "usb_show_dynids" },
	{ 0x3a5d1d65, "tty_hangup" },
	{ 0x4b031852, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x22d86111, "__dynamic_dev_dbg" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "3E20B12EC9F4103929C1A3A");

MODULE_INFO(suserelease, "SLFO-1.2");
