#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x08afd8b6, "");
SYMBOL_CRC(jbd2_journal_start, 0x639491d3, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x7d71bc2b, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x05785669, "");
SYMBOL_CRC(jbd2__journal_restart, 0x594e8015, "");
SYMBOL_CRC(jbd2_journal_restart, 0x352aa73c, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x73566340, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x1637aa48, "");
SYMBOL_CRC(jbd2_journal_extend, 0x13db3d05, "");
SYMBOL_CRC(jbd2_journal_stop, 0x23a05613, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x34b66d8b, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x22dfba59, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x842fa9c7, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x291333eb, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x3e50a806, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x97759950, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x05354070, "");
SYMBOL_CRC(jbd2_journal_forget, 0x291612c1, "");
SYMBOL_CRC(jbd2_journal_flush, 0xdea4080e, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xdbeb06e4, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x5bd62a70, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x4f923c81, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x6f55dac3, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x6c5a642e, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xe3b70d42, "");
SYMBOL_CRC(jbd2_journal_load, 0x490cf448, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x2b1377cd, "");
SYMBOL_CRC(jbd2_journal_abort, 0x1b0b78ca, "");
SYMBOL_CRC(jbd2_journal_errno, 0xf74f90a3, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xdeeac9a3, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xf5627f28, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x1a65a99e, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x8e8546e9, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x29eee452, "");
SYMBOL_CRC(jbd2_journal_wipe, 0xc1883d2f, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x37dc1723, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xce0cb48a, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0xee3d8a1e, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x60f7f1f1, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xfa890eaf, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x366f5007, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xe85ce179, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xf66adac3, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xd72015ed, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x10669c19, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xdcc97c7c, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x5286d6e0, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xb23fc369, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x1287f945, "");
SYMBOL_CRC(jbd2_transaction_committed, 0xfd88795a, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x433f72e5, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0xcd961e65, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xabe614c6, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x62012126, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x13c5bbc7, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xba117db0, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0xd95582f6, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x51b413d5, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f6962cf, "shrinker_free" },
	{ 0xb58cc74e, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc80cb4ee, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x64a31445, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29061d98, "preempt_model_lazy" },
	{ 0x12386bb5, "try_to_free_buffers" },
	{ 0x4eeff2bf, "sync_blockdev" },
	{ 0xdd3ca94e, "free_buffer_head" },
	{ 0x798550c3, "shrinker_register" },
	{ 0x79415b3a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2bde2024, "blk_finish_plug" },
	{ 0x47ba5b43, "bdev_getblk" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x58a232ff, "bit_waitqueue" },
	{ 0xe400dc40, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdeab76c8, "__brelse" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3a61094c, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5afaeefd, "__bh_read_batch" },
	{ 0xd2f6510b, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xd68d9d22, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8d5cde22, "kmem_cache_free" },
	{ 0xb98239a1, "__bh_read" },
	{ 0xcae06bf8, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xef67644f, "blkdev_issue_zeroout" },
	{ 0xd78e94c0, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa02b57e7, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe7ff923a, "freezing_slow_path" },
	{ 0xd3786c34, "bpf_trace_run1" },
	{ 0x538347f0, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbcaea001, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4ff4746f, "__kmem_cache_create_args" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdcf41e0c, "kthread_create_on_node" },
	{ 0xb39a8cc8, "bpf_trace_run3" },
	{ 0x1fdfd00c, "seq_read" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xedfed2dc, "unlock_buffer" },
	{ 0xade3f682, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x82a6cee4, "__folio_put" },
	{ 0x7c254cc2, "remove_proc_entry" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd87714f4, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd0018acb, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x608b9d74, "truncate_inode_pages_range" },
	{ 0x8fff3c41, "blkdev_issue_flush" },
	{ 0x8c076623, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x20a7ff5b, "end_buffer_write_sync" },
	{ 0xf964c5e4, "seq_open" },
	{ 0x1be3a38a, "bmap" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x316f5cf4, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0x51ae93ca, "kmem_cache_destroy" },
	{ 0x6c7b7b3a, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xd382e69c, "bh_uptodate_or_lock" },
	{ 0x1649c92b, "shrinker_alloc" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb2823f7e, "blk_start_plug" },
	{ 0x9442312b, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x41c2d467, "folio_unlock" },
	{ 0xe66dea7, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x89b6d0dd, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xaf4a473d, "bpf_trace_run6" },
	{ 0x3c0bbe2d, "mark_buffer_dirty" },
	{ 0x5f36ebd2, "__find_get_block" },
	{ 0x84dbf7af, "__trace_trigger_soft_disabled" },
	{ 0x4c2323c, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7975e714, "trace_event_printf" },
	{ 0x9d131dbf, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x44ddb566, "write_dirty_buffer" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0xbb0b8977, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9076daa6, "iput" },
	{ 0x2e0a2d9c, "pcpu_hot" },
	{ 0xa564cecf, "seq_lseek" },
	{ 0x7ebc1a86, "blockdev_superblock" },
	{ 0x2a7ef30c, "proc_create_data" },
	{ 0xa6b92f41, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe587c6af, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6d56e06d, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdbbd0da4, "alloc_buffer_head" },
	{ 0x29885ebf, "wake_up_process" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "70CE73C03FDC5985CAE03A6");

MODULE_INFO(suserelease, "SLFO-1.2");
