#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libceph_compatible, "", "");
KSYMTAB_FUNC(ceph_msg_type_name, "", "");
KSYMTAB_FUNC(ceph_check_fsid, "", "");
KSYMTAB_FUNC(ceph_compare_options, "", "");
KSYMTAB_FUNC(ceph_parse_fsid, "", "");
KSYMTAB_FUNC(ceph_alloc_options, "", "");
KSYMTAB_FUNC(ceph_destroy_options, "", "");
KSYMTAB_FUNC(ceph_parse_mon_ips, "", "");
KSYMTAB_FUNC(ceph_parse_param, "", "");
KSYMTAB_FUNC(ceph_print_client_options, "", "");
KSYMTAB_FUNC(ceph_client_addr, "", "");
KSYMTAB_FUNC(ceph_client_gid, "", "");
KSYMTAB_FUNC(ceph_create_client, "", "");
KSYMTAB_FUNC(ceph_destroy_client, "", "");
KSYMTAB_FUNC(ceph_reset_client_addr, "", "");
KSYMTAB_FUNC(__ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_wait_for_latest_osdmap, "", "");
KSYMTAB_FUNC(ceph_pr_addr, "", "");
KSYMTAB_FUNC(ceph_msgr_flush, "", "");
KSYMTAB_FUNC(ceph_con_close, "", "");
KSYMTAB_FUNC(ceph_con_open, "", "");
KSYMTAB_FUNC(ceph_con_init, "", "");
KSYMTAB_FUNC(ceph_addr_is_blank, "", "");
KSYMTAB_FUNC(ceph_con_send, "", "");
KSYMTAB_FUNC(ceph_con_keepalive, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pages, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pagelist, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bio, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bvecs, "", "");
KSYMTAB_FUNC(ceph_msg_new2, "", "");
KSYMTAB_FUNC(ceph_msg_new, "", "");
KSYMTAB_FUNC(ceph_msg_get, "", "");
KSYMTAB_FUNC(ceph_msg_put, "", "");
KSYMTAB_FUNC(ceph_msg_dump, "", "");
KSYMTAB_FUNC(ceph_buffer_new, "", "");
KSYMTAB_FUNC(ceph_buffer_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_alloc, "", "");
KSYMTAB_FUNC(ceph_pagelist_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_append, "", "");
KSYMTAB_FUNC(ceph_pagelist_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_free_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_set_cursor, "", "");
KSYMTAB_FUNC(ceph_pagelist_truncate, "", "");
KSYMTAB_FUNC(ceph_monc_want_map, "", "");
KSYMTAB_FUNC(ceph_monc_got_map, "", "");
KSYMTAB_FUNC(ceph_monc_renew_subs, "", "");
KSYMTAB_FUNC(ceph_monc_wait_osdmap, "", "");
KSYMTAB_FUNC(ceph_monc_open_session, "", "");
KSYMTAB_FUNC(ceph_monc_do_statfs, "", "");
KSYMTAB_FUNC(ceph_monc_get_version, "", "");
KSYMTAB_FUNC(ceph_monc_get_version_async, "", "");
KSYMTAB_FUNC(ceph_monc_blocklist_add, "", "");
KSYMTAB_FUNC(ceph_monc_init, "", "");
KSYMTAB_FUNC(ceph_monc_stop, "", "");
KSYMTAB_FUNC(ceph_monc_validate_auth, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addr, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addrvec, "", "");
KSYMTAB_FUNC(ceph_cls_lock, "", "");
KSYMTAB_FUNC(ceph_cls_unlock, "", "");
KSYMTAB_FUNC(ceph_cls_break_lock, "", "");
KSYMTAB_FUNC(ceph_cls_set_cookie, "", "");
KSYMTAB_FUNC(ceph_free_lockers, "", "");
KSYMTAB_FUNC(ceph_cls_lock_info, "", "");
KSYMTAB_FUNC(ceph_cls_assert_locked, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data, "", "");
KSYMTAB_FUNC(osd_req_op_raw_data_in_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bio, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvec_pos, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_iter, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_cls_response_data_pages, "", "");
KSYMTAB_FUNC(ceph_osdc_get_request, "", "");
KSYMTAB_FUNC(ceph_osdc_put_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_messages, "", "");
KSYMTAB_FUNC(osd_req_op_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_update, "", "");
KSYMTAB_FUNC(osd_req_op_extent_dup_last, "", "");
KSYMTAB_FUNC(osd_req_op_cls_init, "", "");
KSYMTAB_FUNC(osd_req_op_xattr_init, "", "");
KSYMTAB_FUNC(osd_req_op_alloc_hint_init, "", "");
KSYMTAB_FUNC(ceph_osdc_new_request, "", "");
KSYMTAB_FUNC(__ceph_alloc_sparse_ext_map, "", "");
KSYMTAB_FUNC(ceph_osdc_abort_requests, "", "");
KSYMTAB_FUNC(ceph_osdc_clear_abort_err, "", "");
KSYMTAB_FUNC(ceph_osdc_update_epoch_barrier, "", "");
KSYMTAB_FUNC(ceph_osdc_start_request, "", "");
KSYMTAB_FUNC(ceph_osdc_cancel_request, "", "");
KSYMTAB_FUNC(ceph_osdc_wait_request, "", "");
KSYMTAB_FUNC(ceph_osdc_sync, "", "");
KSYMTAB_FUNC(ceph_osdc_watch, "", "");
KSYMTAB_FUNC(ceph_osdc_unwatch, "", "");
KSYMTAB_FUNC(ceph_osdc_notify_ack, "", "");
KSYMTAB_FUNC(ceph_osdc_notify, "", "");
KSYMTAB_FUNC(ceph_osdc_list_watchers, "", "");
KSYMTAB_FUNC(ceph_osdc_flush_notifies, "", "");
KSYMTAB_FUNC(ceph_osdc_maybe_request_map, "", "");
KSYMTAB_FUNC(ceph_osdc_call, "", "");
KSYMTAB_FUNC(osd_req_op_copy_from_init, "", "");
KSYMTAB_FUNC(ceph_pg_pool_name_by_id, "", "");
KSYMTAB_FUNC(ceph_pg_poolid_by_name, "", "");
KSYMTAB_FUNC(ceph_pg_pool_flags, "", "");
KSYMTAB_FUNC(ceph_oloc_copy, "", "");
KSYMTAB_FUNC(ceph_oloc_destroy, "", "");
KSYMTAB_FUNC(ceph_oid_copy, "", "");
KSYMTAB_FUNC(ceph_oid_printf, "", "");
KSYMTAB_FUNC(ceph_oid_aprintf, "", "");
KSYMTAB_FUNC(ceph_oid_destroy, "", "");
KSYMTAB_FUNC(ceph_object_locator_to_pg, "", "");
KSYMTAB_FUNC(ceph_pg_to_acting_primary, "", "");
KSYMTAB_FUNC(ceph_calc_file_object_mapping, "", "");
KSYMTAB_FUNC(ceph_file_to_extents, "", "");
KSYMTAB_FUNC(ceph_iterate_extents, "", "");
KSYMTAB_FUNC(ceph_extent_to_file, "", "");
KSYMTAB_FUNC(ceph_get_num_objects, "", "");
KSYMTAB_FUNC(ceph_auth_is_authenticated, "", "");
KSYMTAB_FUNC(__ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_destroy_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_add_authorizer_challenge, "", "");
KSYMTAB_FUNC(ceph_auth_verify_authorizer_reply, "", "");
KSYMTAB_FUNC(ceph_auth_invalidate_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_more, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_done, "", "");
KSYMTAB_FUNC(ceph_auth_handle_bad_authorizer, "", "");
KSYMTAB_FUNC(ceph_entity_type_name, "", "");
KSYMTAB_FUNC(ceph_str_hash, "", "");
KSYMTAB_FUNC(ceph_str_hash_name, "", "");
KSYMTAB_FUNC(ceph_put_page_vector, "", "");
KSYMTAB_FUNC(ceph_release_page_vector, "", "");
KSYMTAB_FUNC(ceph_alloc_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_user_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_from_page_vector, "", "");
KSYMTAB_FUNC(ceph_zero_page_vector_range, "", "");
KSYMTAB_FUNC(ceph_create_snap_context, "", "");
KSYMTAB_FUNC(ceph_get_snap_context, "", "");
KSYMTAB_FUNC(ceph_put_snap_context, "", "");
KSYMTAB_FUNC(ceph_find_or_create_string, "", "");
KSYMTAB_FUNC(ceph_release_string, "", "");

SYMBOL_CRC(libceph_compatible, 0x466b85b8, "");
SYMBOL_CRC(ceph_msg_type_name, 0xb54676fa, "");
SYMBOL_CRC(ceph_check_fsid, 0x86e90b34, "");
SYMBOL_CRC(ceph_compare_options, 0xc40e75d7, "");
SYMBOL_CRC(ceph_parse_fsid, 0x4affd6c2, "");
SYMBOL_CRC(ceph_alloc_options, 0x987d3968, "");
SYMBOL_CRC(ceph_destroy_options, 0xd4d736db, "");
SYMBOL_CRC(ceph_parse_mon_ips, 0xb8ca47be, "");
SYMBOL_CRC(ceph_parse_param, 0x0c9d0fba, "");
SYMBOL_CRC(ceph_print_client_options, 0x121ae38f, "");
SYMBOL_CRC(ceph_client_addr, 0x159fad45, "");
SYMBOL_CRC(ceph_client_gid, 0xa8407647, "");
SYMBOL_CRC(ceph_create_client, 0x52143e1c, "");
SYMBOL_CRC(ceph_destroy_client, 0xaa4fe164, "");
SYMBOL_CRC(ceph_reset_client_addr, 0x5596446f, "");
SYMBOL_CRC(__ceph_open_session, 0x5dd85cf7, "");
SYMBOL_CRC(ceph_open_session, 0x9b0b03a2, "");
SYMBOL_CRC(ceph_wait_for_latest_osdmap, 0xa2c5ed83, "");
SYMBOL_CRC(ceph_pr_addr, 0x6a7a38a0, "");
SYMBOL_CRC(ceph_msgr_flush, 0xafb8a407, "");
SYMBOL_CRC(ceph_con_close, 0xe3073b24, "");
SYMBOL_CRC(ceph_con_open, 0xefd1f51c, "");
SYMBOL_CRC(ceph_con_init, 0xdd76961c, "");
SYMBOL_CRC(ceph_addr_is_blank, 0xf254297e, "");
SYMBOL_CRC(ceph_con_send, 0xd6ef6af0, "");
SYMBOL_CRC(ceph_con_keepalive, 0x98fddadd, "");
SYMBOL_CRC(ceph_msg_data_add_pages, 0x55894120, "");
SYMBOL_CRC(ceph_msg_data_add_pagelist, 0xe37daaae, "");
SYMBOL_CRC(ceph_msg_data_add_bio, 0x204565c5, "");
SYMBOL_CRC(ceph_msg_data_add_bvecs, 0xcdfcc995, "");
SYMBOL_CRC(ceph_msg_new2, 0x6dac9a62, "");
SYMBOL_CRC(ceph_msg_new, 0xe568bf9c, "");
SYMBOL_CRC(ceph_msg_get, 0x44fc0d6c, "");
SYMBOL_CRC(ceph_msg_put, 0x08027f0b, "");
SYMBOL_CRC(ceph_msg_dump, 0x2c836ec2, "");
SYMBOL_CRC(ceph_buffer_new, 0x9fbba67f, "");
SYMBOL_CRC(ceph_buffer_release, 0xb72c162e, "");
SYMBOL_CRC(ceph_pagelist_alloc, 0xe76e7226, "");
SYMBOL_CRC(ceph_pagelist_release, 0x2a983d26, "");
SYMBOL_CRC(ceph_pagelist_append, 0xefce991c, "");
SYMBOL_CRC(ceph_pagelist_reserve, 0xefce3c3b, "");
SYMBOL_CRC(ceph_pagelist_free_reserve, 0x165b1948, "");
SYMBOL_CRC(ceph_pagelist_set_cursor, 0xf03fe862, "");
SYMBOL_CRC(ceph_pagelist_truncate, 0xc366bfa1, "");
SYMBOL_CRC(ceph_monc_want_map, 0x86e4282d, "");
SYMBOL_CRC(ceph_monc_got_map, 0x49522fe0, "");
SYMBOL_CRC(ceph_monc_renew_subs, 0xf23bf534, "");
SYMBOL_CRC(ceph_monc_wait_osdmap, 0x2694ff14, "");
SYMBOL_CRC(ceph_monc_open_session, 0x57799d8f, "");
SYMBOL_CRC(ceph_monc_do_statfs, 0x1bce4b65, "");
SYMBOL_CRC(ceph_monc_get_version, 0xec537e5f, "");
SYMBOL_CRC(ceph_monc_get_version_async, 0x27add1ea, "");
SYMBOL_CRC(ceph_monc_blocklist_add, 0x388f3b47, "");
SYMBOL_CRC(ceph_monc_init, 0x77225fbe, "");
SYMBOL_CRC(ceph_monc_stop, 0xbbfd20b7, "");
SYMBOL_CRC(ceph_monc_validate_auth, 0x0a74157e, "");
SYMBOL_CRC(ceph_decode_entity_addr, 0xd4eb7735, "");
SYMBOL_CRC(ceph_decode_entity_addrvec, 0x50603ce3, "");
SYMBOL_CRC(ceph_cls_lock, 0x09a2ed56, "");
SYMBOL_CRC(ceph_cls_unlock, 0xd47b90a7, "");
SYMBOL_CRC(ceph_cls_break_lock, 0xab96ecc2, "");
SYMBOL_CRC(ceph_cls_set_cookie, 0xc75139a7, "");
SYMBOL_CRC(ceph_free_lockers, 0xa698f998, "");
SYMBOL_CRC(ceph_cls_lock_info, 0x6f199a8a, "");
SYMBOL_CRC(ceph_cls_assert_locked, 0xe3d97666, "");
SYMBOL_CRC(osd_req_op_extent_osd_data, 0xcdc2a162, "");
SYMBOL_CRC(osd_req_op_raw_data_in_pages, 0x0b76b48f, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pages, 0x31fcef1b, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pagelist, 0x905ab22d, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bio, 0x62ef4abb, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvecs, 0xf521dc78, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvec_pos, 0x03bc5d89, "");
SYMBOL_CRC(osd_req_op_extent_osd_iter, 0x09f10c85, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pagelist, 0x368a35f3, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pages, 0x47d556c1, "");
SYMBOL_CRC(osd_req_op_cls_request_data_bvecs, 0x802718bc, "");
SYMBOL_CRC(osd_req_op_cls_response_data_pages, 0x3055dd64, "");
SYMBOL_CRC(ceph_osdc_get_request, 0xd9c08124, "");
SYMBOL_CRC(ceph_osdc_put_request, 0x52e301e8, "");
SYMBOL_CRC(ceph_osdc_alloc_request, 0xbce6b731, "");
SYMBOL_CRC(ceph_osdc_alloc_messages, 0x4d8db5b3, "");
SYMBOL_CRC(osd_req_op_init, 0x564ddda5, "");
SYMBOL_CRC(osd_req_op_extent_init, 0xd5b62603, "");
SYMBOL_CRC(osd_req_op_extent_update, 0xcd8322b4, "");
SYMBOL_CRC(osd_req_op_extent_dup_last, 0x81e03f82, "");
SYMBOL_CRC(osd_req_op_cls_init, 0xb44aecab, "");
SYMBOL_CRC(osd_req_op_xattr_init, 0xfe005c61, "");
SYMBOL_CRC(osd_req_op_alloc_hint_init, 0xc8929c71, "");
SYMBOL_CRC(ceph_osdc_new_request, 0x7844b226, "");
SYMBOL_CRC(__ceph_alloc_sparse_ext_map, 0xbc069217, "");
SYMBOL_CRC(ceph_osdc_abort_requests, 0xd9deba43, "");
SYMBOL_CRC(ceph_osdc_clear_abort_err, 0x429089aa, "");
SYMBOL_CRC(ceph_osdc_update_epoch_barrier, 0x3c8402c7, "");
SYMBOL_CRC(ceph_osdc_start_request, 0xe4ec555f, "");
SYMBOL_CRC(ceph_osdc_cancel_request, 0x325e542c, "");
SYMBOL_CRC(ceph_osdc_wait_request, 0x358d96b7, "");
SYMBOL_CRC(ceph_osdc_sync, 0x19993aa0, "");
SYMBOL_CRC(ceph_osdc_watch, 0x4e7d2e91, "");
SYMBOL_CRC(ceph_osdc_unwatch, 0xf0a5c955, "");
SYMBOL_CRC(ceph_osdc_notify_ack, 0x4f04df16, "");
SYMBOL_CRC(ceph_osdc_notify, 0x194cc7d0, "");
SYMBOL_CRC(ceph_osdc_list_watchers, 0xbca34ad8, "");
SYMBOL_CRC(ceph_osdc_flush_notifies, 0xa182ef2a, "");
SYMBOL_CRC(ceph_osdc_maybe_request_map, 0x57c62f2f, "");
SYMBOL_CRC(ceph_osdc_call, 0x4df8dcda, "");
SYMBOL_CRC(osd_req_op_copy_from_init, 0xe0f0d99f, "");
SYMBOL_CRC(ceph_pg_pool_name_by_id, 0x1378aba3, "");
SYMBOL_CRC(ceph_pg_poolid_by_name, 0x04cad6f0, "");
SYMBOL_CRC(ceph_pg_pool_flags, 0x92b7b4ce, "");
SYMBOL_CRC(ceph_oloc_copy, 0xbd2f79ae, "");
SYMBOL_CRC(ceph_oloc_destroy, 0x417a9131, "");
SYMBOL_CRC(ceph_oid_copy, 0x2087719e, "");
SYMBOL_CRC(ceph_oid_printf, 0xdf6ef4a1, "");
SYMBOL_CRC(ceph_oid_aprintf, 0x5aeeee62, "");
SYMBOL_CRC(ceph_oid_destroy, 0x2101cbc9, "");
SYMBOL_CRC(ceph_object_locator_to_pg, 0xe34a59f2, "");
SYMBOL_CRC(ceph_pg_to_acting_primary, 0x17c17611, "");
SYMBOL_CRC(ceph_calc_file_object_mapping, 0x9fefa3cb, "");
SYMBOL_CRC(ceph_file_to_extents, 0x38f2d94e, "");
SYMBOL_CRC(ceph_iterate_extents, 0xeef6cfa3, "");
SYMBOL_CRC(ceph_extent_to_file, 0xca80437b, "");
SYMBOL_CRC(ceph_get_num_objects, 0x3c8d7111, "");
SYMBOL_CRC(ceph_auth_is_authenticated, 0x48c50a36, "");
SYMBOL_CRC(__ceph_auth_get_authorizer, 0xb6d37372, "");
SYMBOL_CRC(ceph_auth_destroy_authorizer, 0xad703657, "");
SYMBOL_CRC(ceph_auth_add_authorizer_challenge, 0x3082997f, "");
SYMBOL_CRC(ceph_auth_verify_authorizer_reply, 0x9c73a493, "");
SYMBOL_CRC(ceph_auth_invalidate_authorizer, 0x63cbc02a, "");
SYMBOL_CRC(ceph_auth_get_authorizer, 0x84a45fac, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_more, 0x122020cb, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_done, 0x016719e3, "");
SYMBOL_CRC(ceph_auth_handle_bad_authorizer, 0xb020cea2, "");
SYMBOL_CRC(ceph_entity_type_name, 0xdfc091f9, "");
SYMBOL_CRC(ceph_str_hash, 0x57baf885, "");
SYMBOL_CRC(ceph_str_hash_name, 0x63758856, "");
SYMBOL_CRC(ceph_put_page_vector, 0xac79cc97, "");
SYMBOL_CRC(ceph_release_page_vector, 0x71d4185d, "");
SYMBOL_CRC(ceph_alloc_page_vector, 0x0c328460, "");
SYMBOL_CRC(ceph_copy_user_to_page_vector, 0x3f34d000, "");
SYMBOL_CRC(ceph_copy_to_page_vector, 0xf3d3604c, "");
SYMBOL_CRC(ceph_copy_from_page_vector, 0x463489b0, "");
SYMBOL_CRC(ceph_zero_page_vector_range, 0xb9bc7823, "");
SYMBOL_CRC(ceph_create_snap_context, 0x9ca95932, "");
SYMBOL_CRC(ceph_get_snap_context, 0xbe3879aa, "");
SYMBOL_CRC(ceph_put_snap_context, 0x86fca7e4, "");
SYMBOL_CRC(ceph_find_or_create_string, 0x9bc6b539, "");
SYMBOL_CRC(ceph_release_string, 0xee120c03, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x74677c69, "sock_sendmsg" },
	{ 0xa02b57e7, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x17ecc433, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9872d883, "tcp_stream_memory_free" },
	{ 0x2a1a7aa, "sg_alloc_table_from_pages_segment" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x50489d45, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x849a3cee, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbcaea001, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xb4759124, "crypto_alloc_sync_skcipher" },
	{ 0x4ff4746f, "__kmem_cache_create_args" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1fdfd00c, "seq_read" },
	{ 0x44b012f6, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe9fc9af9, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0x1a16892, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x61e6e1b8, "request_key_tag" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb1cfc033, "generic_key_instantiate" },
	{ 0x69e11e96, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x82a6cee4, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd87714f4, "seq_printf" },
	{ 0xba9e856a, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7a1cf7e1, "set_page_dirty_lock" },
	{ 0x7d5a3a17, "sock_release" },
	{ 0x675fcef0, "iov_iter_discard" },
	{ 0xcdd549ff, "debugfs_create_file_full" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x83d8bdbd, "alloc_pages_noprof" },
	{ 0xa8ded679, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x281e21cc, "tcp_sock_set_nodelay" },
	{ 0x7e59b925, "__fs_parse" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x754d539c, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x659225a2, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6e8a339, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x316f5cf4, "crypto_alloc_shash" },
	{ 0x41a230a6, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x41f9137f, "kernel_sendmsg" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0x51ae93ca, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x7394457d, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2bc7d2c, "tcp_sock_set_cork" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x36d1ff62, "fs_param_is_string" },
	{ 0xf8f6d562, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc2954482, "iov_iter_advance" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x91676915, "unregister_key_type" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x9f3dc61f, "iov_iter_get_pages2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x2e0a2d9c, "pcpu_hot" },
	{ 0xa564cecf, "seq_lseek" },
	{ 0xfdb17fe1, "fs_param_is_enum" },
	{ 0x8f8e01aa, "logfc" },
	{ 0x2ee39d46, "crypto_alloc_aead" },
	{ 0x16f82d5d, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x395878f0, "crypto_aead_setauthsize" },
	{ 0x69ab3614, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x87607d69, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0xdf1fc03a, "filemap_alloc_folio_noprof" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x4de1db4a, "register_key_type" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc80cb4ee, "crypto_destroy_tfm" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5fc4e58f, "fs_param_is_u32" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5210e225, "crypto_skcipher_decrypt" },
	{ 0x79415b3a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfafd0d0a, "__free_pages" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9975891a, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x896aca6c, "key_put" },
	{ 0x70ef4417, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0xe6aa9191, "crypto_shash_setkey" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdb2306a4, "crypto_aead_encrypt" },
	{ 0x30f1abea, "__SCK__tp_func_sk_data_ready" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8d5cde22, "kmem_cache_free" },
	{ 0xba9c4ae6, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xfd48ce47, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf542127a, "iov_iter_kvec" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "libcrc32c");


MODULE_INFO(srcversion, "8A0658F337C66A3DB0101F8");

MODULE_INFO(suserelease, "SLFO-1.2");
