#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(inet_diag_msg_common_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_msg_attrs_fill, "_gpl", "");
KSYMTAB_FUNC(inet_sk_diag_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_find_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_bc_sk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_register, "_gpl", "");
KSYMTAB_FUNC(inet_diag_unregister, "_gpl", "");

SYMBOL_CRC(inet_diag_msg_common_fill, 0x40a5bfc8, "_gpl");
SYMBOL_CRC(inet_diag_msg_attrs_fill, 0xd0d57353, "_gpl");
SYMBOL_CRC(inet_sk_diag_fill, 0x3bf5b216, "_gpl");
SYMBOL_CRC(inet_diag_find_one_icsk, 0x8cf8c988, "_gpl");
SYMBOL_CRC(inet_diag_dump_one_icsk, 0x04206984, "_gpl");
SYMBOL_CRC(inet_diag_bc_sk, 0xdfb7c48e, "_gpl");
SYMBOL_CRC(inet_diag_dump_icsk, 0xccda4065, "_gpl");
SYMBOL_CRC(inet_diag_register, 0x39962554, "_gpl");
SYMBOL_CRC(inet_diag_unregister, 0x9ce2a382, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0x8e4eb451, "bpf_sk_storage_diag_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x73152eef, "try_module_get" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf665f74f, "sock_load_diag_module" },
	{ 0x8e9ba0a7, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5220d44f, "module_put" },
	{ 0x66714677, "__netlink_dump_start" },
	{ 0xcaf9ed9d, "sock_diag_unregister" },
	{ 0x413b780d, "sock_diag_unregister_inet_compat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0x686830c0, "sock_diag_register" },
	{ 0x42586748, "sock_diag_register_inet_compat" },
	{ 0xa5869426, "netlink_net_capable" },
	{ 0x5d8476d3, "bpf_sk_storage_diag_alloc" },
	{ 0xc1b043d9, "inet6_lookup" },
	{ 0x8c722e24, "sock_diag_check_cookie" },
	{ 0xcfd591ac, "__inet_lookup_established" },
	{ 0xd069f533, "sock_gen_put" },
	{ 0xa4a773b8, "__inet_lookup_listener" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x483fa3f7, "__nlmsg_put" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbb27ab5, "bpf_sk_storage_diag_put" },
	{ 0x725cd890, "sock_diag_put_meminfo" },
	{ 0xa916b694, "strnlen" },
	{ 0x639cb360, "nla_reserve_64bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfa87b304, "__alloc_skb" },
	{ 0x9c4d9725, "netlink_unicast" },
	{ 0x14d44044, "sk_skb_reason_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x631bec55, "sk_free" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbd7a6bfe, "sock_diag_save_cookie" },
	{ 0x8d304f20, "nla_put" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x5a618a4c, "sock_i_uid" },
	{ 0xb7503959, "from_kuid_munged" },
	{ 0xf8662b32, "sock_i_ino" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xda36cf54, "skb_trim" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "90F85384506243E4694C237");

MODULE_INFO(suserelease, "SLFO-1.2");
