#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_ttm_print_info, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_mmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_dumb_map_offset, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_driver_fbdev_probe, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_setup, "", "");

SYMBOL_CRC(drm_gem_ttm_print_info, 0xb4ece798, "");
SYMBOL_CRC(drm_gem_ttm_vmap, 0xfbf62d06, "");
SYMBOL_CRC(drm_gem_ttm_vunmap, 0xe459c5aa, "");
SYMBOL_CRC(drm_gem_ttm_mmap, 0x00289f0a, "");
SYMBOL_CRC(drm_gem_ttm_dumb_map_offset, 0xb8d821b5, "");
SYMBOL_CRC(drm_fbdev_ttm_driver_fbdev_probe, 0x40a3936c, "");
SYMBOL_CRC(drm_fbdev_ttm_setup, 0x9fd525f2, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf6f2d7e, "drm_fb_helper_fini" },
	{ 0xc0f9c59, "drm_client_framebuffer_delete" },
	{ 0xd6427977, "drm_client_framebuffer_create" },
	{ 0xd104a53c, "drm_fb_helper_deferred_io" },
	{ 0x6980ac03, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa455114b, "drm_driver_legacy_fb_format" },
	{ 0x66374d8c, "drm_fb_helper_fill_info" },
	{ 0x15d154e, "fb_deferred_io_init" },
	{ 0x62dec8db, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1628df89, "dev_driver_string" },
	{ 0x2a0628d, "drm_fb_helper_hotplug_event" },
	{ 0xf69db3f0, "drm_gem_object_lookup" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdcb776e1, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x12780e17, "sys_imageblit" },
	{ 0x26e1a00e, "drm_fb_helper_damage_range" },
	{ 0x6ceeb137, "drm_fb_helper_blank" },
	{ 0x5de58eef, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf95337a8, "drm_fb_helper_damage_area" },
	{ 0xbf6fa8d6, "sys_fillrect" },
	{ 0x5220d44f, "module_put" },
	{ 0xc69799d, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xdb3b3e0b, "drm_client_init" },
	{ 0x1a01342e, "drm_print_bits" },
	{ 0xee23b4e6, "drm_fb_helper_prepare" },
	{ 0x8d0c01a8, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2bc3db6a, "__drm_dev_dbg" },
	{ 0xd425f185, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x62ed1aed, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc4c5d465, "drm_client_release" },
	{ 0x124ec58a, "sys_copyarea" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8ea0b7ed, "fb_sys_read" },
	{ 0x9153f698, "drm_fb_helper_debug_leave" },
	{ 0x7d7387a2, "ttm_bo_mmap_obj" },
	{ 0x90bd1df3, "drm_client_buffer_vunmap_local" },
	{ 0x8ba87c1d, "ttm_bo_vmap" },
	{ 0xa207c3b9, "drm_client_buffer_vmap_local" },
	{ 0x3819bdc1, "drm_fb_helper_initial_config" },
	{ 0x99aec984, "drm_fb_helper_unregister_info" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0x4133043e, "drm_fb_helper_ioctl" },
	{ 0x3c2a1a40, "drm_fb_helper_set_par" },
	{ 0x472d996c, "drm_client_register" },
	{ 0x73152eef, "try_module_get" },
	{ 0x487f0be3, "drm_fb_helper_init" },
	{ 0x337928fa, "drm_fb_helper_debug_enter" },
	{ 0xa7bab105, "drm_fb_helper_lastclose" },
	{ 0x56922804, "drm_fb_helper_setcmap" },
	{ 0x7d802edc, "drm_fb_helper_alloc_info" },
	{ 0xe3ceb1a4, "drm_helper_disable_unused_functions" },
	{ 0xa5fe1a81, "drm_fb_helper_unprepare" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "ttm");


MODULE_INFO(srcversion, "27A46B00689AB667B550249");

MODULE_INFO(suserelease, "SLFO-1.2");
