#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0x1803f637, "");
SYMBOL_CRC(bme280_chip_info, 0x6fe6d7f3, "");
SYMBOL_CRC(bmp380_chip_info, 0x850c1741, "");
SYMBOL_CRC(bmp580_chip_info, 0x7dce5cf7, "");
SYMBOL_CRC(bmp180_chip_info, 0x6462d3ec, "");
SYMBOL_CRC(bmp280_common_probe, 0x1acf533c, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0x59eb53c3, "");
SYMBOL_CRC(bmp180_regmap_config, 0xbd1ef9f4, "");
SYMBOL_CRC(bmp280_regmap_config, 0x57982496, "");
SYMBOL_CRC(bme280_regmap_config, 0x7a509226, "");
SYMBOL_CRC(bmp380_regmap_config, 0xb8ca9277, "");
SYMBOL_CRC(bmp580_regmap_config, 0xb6b62ef2, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1ad9e96, "dev_err_probe" },
	{ 0x9b049aed, "iio_trigger_notify_done" },
	{ 0xaff4dc84, "__pm_runtime_suspend" },
	{ 0x194557ee, "__devm_add_action" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x8f801317, "__pm_runtime_use_autosuspend" },
	{ 0x6b246ad1, "__pm_runtime_disable" },
	{ 0x1780cf24, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x625ffff9, "regmap_write" },
	{ 0x98669b87, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5419dcf, "gpiod_set_value" },
	{ 0xf0dd155b, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5006ccb5, "devm_iio_triggered_buffer_setup_ext" },
	{ 0xa6257a2f, "complete" },
	{ 0xd633eb7, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc69827bd, "iio_push_to_buffers" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x10d6b573, "devm_gpiod_get_optional" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8d7309fc, "__pm_runtime_set_status" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9acda732, "pm_runtime_enable" },
	{ 0xae42304, "regulator_bulk_disable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x27a6727, "_dev_info" },
	{ 0x8d0c01a8, "_dev_err" },
	{ 0xba123fd3, "irq_get_irq_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x70467686, "__devm_iio_device_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6776ce53, "devm_iio_device_alloc" },
	{ 0xa01ce181, "_dev_warn" },
	{ 0xc90a41ce, "regulator_bulk_set_supply_names" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x290a209, "regulator_bulk_enable" },
	{ 0xaf8fecc8, "devm_regulator_bulk_get" },
	{ 0x717759ad, "iio_get_time_ns" },
	{ 0x9df05a6d, "regmap_read" },
	{ 0xdd656ccc, "regmap_bulk_write" },
	{ 0x48b5460d, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x799dd342, "regmap_bulk_read" },
	{ 0x5e14483f, "regmap_update_bits_base" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "3B329A381C77EF259650548");

MODULE_INFO(suserelease, "SLFO-1.2");
