#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x2bc65ca9, "__dynamic_netdev_dbg" },
	{ 0x526e29e4, "call_switchdev_notifiers" },
	{ 0xc9463945, "skb_queue_tail" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7fc3421b, "spi_get_device_id" },
	{ 0x62dc1f79, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x932ebfa5, "device_property_present" },
	{ 0x10d6b573, "devm_gpiod_get_optional" },
	{ 0xb09cdb22, "spi_bus_lock" },
	{ 0x5419dcf, "gpiod_set_value" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9e7ff20f, "spi_bus_unlock" },
	{ 0x3624ab2a, "devm_mdiobus_alloc_size" },
	{ 0x34c58015, "__devm_mdiobus_register" },
	{ 0xd15dbc34, "devm_alloc_etherdev_mqs" },
	{ 0x8f35302, "device_get_ethdev_address" },
	{ 0x3367f051, "netif_carrier_off" },
	{ 0xd3609dd5, "get_phy_device" },
	{ 0xd62a9c30, "phy_connect" },
	{ 0x194557ee, "__devm_add_action" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x98669b87, "devm_request_threaded_irq" },
	{ 0xc9c7e223, "devm_register_netdev" },
	{ 0xac2cfd0c, "netdev_err" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x3164ded2, "netif_tx_wake_queue" },
	{ 0xa01ce181, "_dev_warn" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb1a415ef, "phy_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6a2b2d4f, "dev_addr_mod" },
	{ 0x6a52373b, "eth_prepare_mac_addr_change" },
	{ 0x438dc387, "phy_start" },
	{ 0x194a59a6, "ethtool_op_get_link" },
	{ 0x90fa200c, "phy_ethtool_get_link_ksettings" },
	{ 0x7086a39c, "phy_ethtool_set_link_ksettings" },
	{ 0x87f2d1bd, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x93d50c2e, "phy_disconnect" },
	{ 0xbb6c070a, "phy_print_status" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe071165, "phy_do_ioctl" },
	{ 0xfaa87004, "switchdev_handle_port_attr_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xe5daee73, "__spi_register_driver" },
	{ 0xb24ec465, "driver_unregister" },
	{ 0xb64e97a0, "spi_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8d0c01a8, "_dev_err" },
	{ 0x4ccded56, "__netdev_alloc_skb" },
	{ 0x9af68bc0, "skb_put" },
	{ 0x91dd32d8, "skb_pull" },
	{ 0xeba02011, "eth_type_trans" },
	{ 0xa41d79ef, "netif_rx" },
	{ 0x14d44044, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9660b973, "consume_skb" },
	{ 0x7ecb069f, "skb_dequeue" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "mdio_devres,libphy,crc8");

MODULE_ALIAS("spi:adin1110");
MODULE_ALIAS("spi:adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin1110");
MODULE_ALIAS("of:N*T*Cadi,adin1110C*");
MODULE_ALIAS("of:N*T*Cadi,adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin2111C*");

MODULE_INFO(srcversion, "458E69A5B1D3479444DCC45");

MODULE_INFO(suserelease, "SLFO-1.2");
