#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0x19879389, "");
SYMBOL_CRC(prestera_device_unregister, 0xeb3acc95, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeba02011, "eth_type_trans" },
	{ 0x972abb4a, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2cf01fd3, "dma_map_page_attrs" },
	{ 0x2e87e0f3, "napi_complete_done" },
	{ 0xe54b4712, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x26542911, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe97c13e8, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xfa87b304, "__alloc_skb" },
	{ 0xf93bea3d, "switchdev_bridge_port_offload" },
	{ 0x9be8f983, "flow_block_cb_incref" },
	{ 0xf4c386f8, "flow_rule_match_ports_range" },
	{ 0x27a6727, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5ac45bf, "free_fib_info" },
	{ 0xdc116285, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf2e338de, "vlan_dev_real_dev" },
	{ 0xefb899b6, "__dev_get_by_index" },
	{ 0x3458c2b9, "devlink_port_unregister" },
	{ 0x8d0c01a8, "_dev_err" },
	{ 0xd00db1d, "init_net" },
	{ 0x91dd32d8, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x14d44044, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xef427da2, "flow_block_cb_decref" },
	{ 0xfff4e4d8, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x27444c6b, "napi_enable" },
	{ 0x8414799d, "register_netdev" },
	{ 0xf6532435, "unregister_fib_notifier" },
	{ 0x88bcd3f5, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x194a59a6, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x906a8166, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0xa01ce181, "_dev_warn" },
	{ 0xa77ef140, "flow_rule_match_ports" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xff4d605d, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x19ae1199, "devlink_trap_report" },
	{ 0xffe18e12, "__neigh_event_send" },
	{ 0xabc2b1ca, "flow_block_cb_alloc" },
	{ 0xdc91148d, "switchdev_handle_port_obj_add" },
	{ 0x21e7e8d2, "fib_alias_hw_flags_set" },
	{ 0x6cf15cff, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb4bc512, "phylink_pcs_change" },
	{ 0x4e019ccc, "__neigh_create" },
	{ 0x21b781de, "netdev_walk_all_upper_dev_rcu" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcf22d88f, "alloc_netdev_dummy" },
	{ 0x58dc1dd3, "neigh_destroy" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xd039c403, "br_multicast_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x46e26e, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8266fe1a, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xd213ddaa, "netdev_master_upper_dev_get_rcu" },
	{ 0x4f23a1d, "devlink_traps_register" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0xf0d31c78, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3367f051, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6ca9bdce, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6c646764, "devlink_priv" },
	{ 0x5fe1a72a, "devlink_port_register_with_ops" },
	{ 0x72dca617, "netif_carrier_on" },
	{ 0x2caee4d7, "netdev_has_any_upper_dev" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x5b24f116, "devlink_trap_groups_register" },
	{ 0x51bacc2, "arp_tbl" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xe7fd8276, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe9ad12ca, "netdev_walk_all_lower_dev" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xccfc6765, "napi_schedule_prep" },
	{ 0xc4380c97, "__fib_lookup" },
	{ 0xab4ccde9, "napi_disable" },
	{ 0x494cd278, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xefaefdf8, "devlink_trap_groups_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd169d819, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x970b1dd7, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdc983a60, "alloc_etherdev_mqs" },
	{ 0x1bed2996, "netdev_lower_get_next" },
	{ 0x850e080e, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb5db892e, "br_vlan_enabled" },
	{ 0x8197918b, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x1a2415, "devlink_unregister" },
	{ 0xdecb447f, "dma_pool_create" },
	{ 0x9af68bc0, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x526e29e4, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe6be83cd, "register_fib_notifier" },
	{ 0x78f4cfbe, "l3mdev_fib_table_rcu" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa578290f, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2cf28f2a, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xe83c805f, "flow_rule_match_eth_addrs" },
	{ 0xa41ab80a, "devlink_port_attrs_set" },
	{ 0x5509829d, "flow_block_cb_priv" },
	{ 0x4a89b23a, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf50fe894, "devlink_alloc_ns" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xd92e0341, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x2e0a2d9c, "pcpu_hot" },
	{ 0x7b2158bd, "devlink_free" },
	{ 0x1fede2df, "netif_napi_add_weight_locked" },
	{ 0xfd7639ad, "netdev_warn" },
	{ 0x99b49d72, "flow_rule_match_ipv4_addrs" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x720e0323, "fib_table_lookup" },
	{ 0xfc5380e3, "skb_pull_rcsum" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xac2cfd0c, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8e9ba0a7, "pskb_expand_head" },
	{ 0xfaa87004, "switchdev_handle_port_attr_set" },
	{ 0x5d1277b3, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x1628df89, "dev_driver_string" },
	{ 0x6a2b2d4f, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "DEE6411BEDB481D2499FF15");

MODULE_INFO(suserelease, "SLFO-1.2");
