#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0x1f9926d0, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x38557c1d, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0x364cbc93, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0xa1c44a48, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0x48c1f530, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0x7c827fe6, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0xcb77e2ac, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0xa340d7b1, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0x2c0d428e, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0x39554568, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x00ead76c, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0x4fbd0ef0, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0x529ab201, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0xee6e97a2, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62dc1f79, "devm_kmalloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2f3c247, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91dd32d8, "skb_pull" },
	{ 0x17057dcb, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x31e8568f, "ath9k_hw_set_txpowerlimit" },
	{ 0xd4b5a231, "ath_hw_keyreset" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,ath9k_hw,ath");


MODULE_INFO(srcversion, "6AB875ABAF703AC5629CAD0");

MODULE_INFO(suserelease, "SLFO-1.2");
