#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0x48cfd3c6, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0xc016a849, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x20ef2f94, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0x0a8c3c00, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0x5394dbd6, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0x4f92500c, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53d3892c, "alloc_netdev_mqs" },
	{ 0x6a95907b, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe1802a16, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x959a6078, "cfg80211_put_bss" },
	{ 0x5df5eee7, "cfg80211_ch_switch_notify" },
	{ 0xc9463945, "skb_queue_tail" },
	{ 0x77a23b8b, "ieee80211_get_channel_khz" },
	{ 0x553505aa, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf64958e, "__cfg80211_radar_event" },
	{ 0xf2ec01c2, "cfg80211_get_drvinfo" },
	{ 0xd00db1d, "init_net" },
	{ 0x6685039, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x640d5679, "cfg80211_michael_mic_failure" },
	{ 0x4152d688, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xba9c4ae6, "debugfs_remove" },
	{ 0x958ab516, "cfg80211_del_sta_sinfo" },
	{ 0xfa510c36, "cfg80211_update_owe_info_event" },
	{ 0x6faacb57, "wiphy_unregister" },
	{ 0x88bcd3f5, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd5329c21, "netif_tx_stop_all_queues" },
	{ 0x3164ded2, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x3e631071, "wdev_chandef" },
	{ 0x4ccded56, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa1798a66, "cfg80211_unregister_wdev" },
	{ 0x4c28a873, "platform_device_register_full" },
	{ 0xaa9c91af, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7b61e76f, "param_ops_bool" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3367f051, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x72dca617, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe9ad12ca, "netdev_walk_all_lower_dev" },
	{ 0x465ba519, "cfg80211_inform_bss_data" },
	{ 0x99943696, "cfg80211_shutdown_all_interfaces" },
	{ 0x494cd278, "dev_kfree_skb_any_reason" },
	{ 0x34845d7d, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0x41a230a6, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a3fb1a0, "cfg80211_connect_done" },
	{ 0xc10bdbee, "__cfg80211_get_bss" },
	{ 0x8dcfe101, "wiphy_free" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0xf3864c0d, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5a3ed47c, "eth_mac_addr" },
	{ 0x9af68bc0, "skb_put" },
	{ 0x572eb812, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9660b973, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4a414a82, "cfg80211_cac_event" },
	{ 0x7ecb069f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf62f1a55, "cfg80211_register_netdevice" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x69acdf38, "memcpy" },
	{ 0xebbd6bcf, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7fe2b6d, "cfg80211_external_auth_request" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x7242e9, "cfg80211_new_sta" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8cc69a48, "cfg80211_disconnected" },
	{ 0x2b3835e1, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc65d4fcf, "netdev_port_same_parent_id" },
	{ 0x6a2b2d4f, "dev_addr_mod" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "567CDD98B383AFF54B39C15");

MODULE_INFO(suserelease, "SLFO-1.2");
