#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a4446e6, "rt2x00usb_disconnect" },
	{ 0x5d6e0689, "rt2x00usb_suspend" },
	{ 0x3a1a73d8, "rt2x00usb_resume" },
	{ 0xcc738363, "rt2x00usb_initialize" },
	{ 0xe8525f32, "rt2x00usb_uninitialize" },
	{ 0x4d30028e, "rt2x00usb_clear_entry" },
	{ 0x2e1cc205, "rt2x00usb_watchdog" },
	{ 0x13f7002d, "rt2x00usb_kick_queue" },
	{ 0x564f9252, "rt2x00usb_flush_queue" },
	{ 0xdbdddb0b, "rt2x00mac_tx" },
	{ 0xc77511a4, "rt2x00mac_start" },
	{ 0x5839c881, "rt2x00mac_stop" },
	{ 0x688cdefb, "rt2x00mac_add_interface" },
	{ 0x7dba6360, "rt2x00mac_remove_interface" },
	{ 0xf208aa51, "rt2x00mac_config" },
	{ 0xa2595ab5, "rt2x00mac_bss_info_changed" },
	{ 0xc22dc9c6, "rt2x00mac_configure_filter" },
	{ 0x68f087f5, "rt2x00mac_set_tim" },
	{ 0x1f43feda, "rt2x00mac_set_key" },
	{ 0x5936e698, "rt2x00mac_sw_scan_start" },
	{ 0x93d1afe8, "rt2x00mac_sw_scan_complete" },
	{ 0xf92bd660, "rt2x00mac_get_stats" },
	{ 0xd25428a6, "rt2x00mac_conf_tx" },
	{ 0x837f1a2, "rt2x00mac_rfkill_poll" },
	{ 0xab6ce60c, "rt2x00mac_flush" },
	{ 0x2708e267, "rt2x00mac_set_antenna" },
	{ 0xfd6efa34, "rt2x00mac_get_antenna" },
	{ 0x88172c31, "rt2x00mac_get_ringparam" },
	{ 0x2bb4cde9, "rt2x00mac_tx_frames_pending" },
	{ 0x99ef3d72, "ieee80211_emulate_add_chanctx" },
	{ 0xa83d77d3, "ieee80211_emulate_remove_chanctx" },
	{ 0x9d018ea2, "ieee80211_emulate_change_chanctx" },
	{ 0xf70211c2, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x716e51fc, "ieee80211_handle_wake_tx_queue" },
	{ 0x7b61e76f, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x73328a11, "usb_register_driver" },
	{ 0x8dcc8ef3, "rt2x00usb_probe" },
	{ 0xda36cf54, "skb_trim" },
	{ 0x9660b973, "consume_skb" },
	{ 0x89414e6a, "usb_submit_urb" },
	{ 0x78aa3b43, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x74538b6, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d0c01a8, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x834899f8, "rt2x00usb_vendor_request_buff" },
	{ 0xfff4e4d8, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3747aac5, "rt2x00usb_vendor_request" },
	{ 0xf70eb5cb, "rt2x00lib_set_mac_address" },
	{ 0x27a6727, "_dev_info" },
	{ 0x22d86111, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7c7c92bb, "rt2x00usb_disable_radio" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0234C22C669DF15F609D12B");

MODULE_INFO(suserelease, "SLFO-1.2");
