#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0xfeabcfa5, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x3eca788b, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0xb7ac15e3, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0xc1a7b49b, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x1ea3a14b, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x0e8b2956, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0xb3da3eb4, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0xdbd75142, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x668646a0, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x1cac1d7f, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x96e6b05d, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x59b1144e, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x6f8f084c, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x273e3912, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x3c64a0f4, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0x7357674f, "");
SYMBOL_CRC(rtw89_pm_ops, 0xd98f1be3, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0x59b60190, "");
SYMBOL_CRC(rtw89_pci_probe, 0xccf0aee0, "");
SYMBOL_CRC(rtw89_pci_remove, 0xab5b9568, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0x64e6b727, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0xdb3ff2b7, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0xa49cd3d5, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x350d8aca, "dma_free_attrs" },
	{ 0x4374438, "rtw89_core_rx" },
	{ 0x7b61e76f, "param_ops_bool" },
	{ 0x8e1038b2, "pci_release_regions" },
	{ 0x46e26e, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5dba425e, "rtw89_core_deinit" },
	{ 0x55fcbbed, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfcc1f0fe, "pci_disable_device" },
	{ 0xd4615478, "dma_set_mask" },
	{ 0xccfc6765, "napi_schedule_prep" },
	{ 0xc24dd33d, "pci_read_config_byte" },
	{ 0x494cd278, "dev_kfree_skb_any_reason" },
	{ 0xfe204618, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe9ed617e, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb27aa0d, "rtw89_chip_info_setup" },
	{ 0xdfae3f80, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe04d2ebd, "pcie_capability_read_word" },
	{ 0xb150f660, "pci_find_ext_capability" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x34853be0, "rtw89_alloc_ieee80211_hw" },
	{ 0x98669b87, "devm_request_threaded_irq" },
	{ 0xe4cae1f2, "pci_enable_device" },
	{ 0x9af68bc0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9660b973, "consume_skb" },
	{ 0x7d7f5a47, "pci_iomap" },
	{ 0xbbfa9a69, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0x7ecb069f, "skb_dequeue" },
	{ 0x2cf28f2a, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb1035bba, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2e0a2d9c, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x15df005e, "rtw89_core_napi_init" },
	{ 0x7ee315ba, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1628df89, "dev_driver_string" },
	{ 0xc0f9d5a6, "ieee80211_tx_status_skb" },
	{ 0x446668b8, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2cf01fd3, "dma_map_page_attrs" },
	{ 0x2e87e0f3, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x66320148, "devm_free_irq" },
	{ 0xe97c13e8, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x27a6727, "_dev_info" },
	{ 0xc9463945, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x781a22ee, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x34e90ff9, "__dma_sync_single_for_cpu" },
	{ 0x8d0c01a8, "_dev_err" },
	{ 0xff69229d, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x32684a4a, "rtw89_core_napi_deinit" },
	{ 0xfff4e4d8, "skb_push" },
	{ 0x3a9b7ba0, "dma_alloc_attrs" },
	{ 0xc60e4d16, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8e847329, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x69de294f, "pci_iounmap" },
	{ 0xfb578fc5, "memset" },
	{ 0xa01ce181, "_dev_warn" },
	{ 0x66d685c2, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc7d0f21, "rtw89_ser_notify" },
	{ 0x4ccded56, "__netdev_alloc_skb" },
	{ 0x36ea10b8, "skb_unlink" },
	{ 0x1b170d4e, "dma_set_coherent_mask" },
	{ 0xca805f7f, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "7871B5958A6EE5B44388508");

MODULE_INFO(suserelease, "SLFO-1.2");
