#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x78c8a45b, "");
SYMBOL_CRC(ntb_unregister_client, 0x26ef21ad, "");
SYMBOL_CRC(ntb_register_device, 0x1dd1ac02, "");
SYMBOL_CRC(ntb_unregister_device, 0xe7f653fd, "");
SYMBOL_CRC(ntb_set_ctx, 0x251f6ca5, "");
SYMBOL_CRC(ntb_clear_ctx, 0xeb6dca0a, "");
SYMBOL_CRC(ntb_link_event, 0x876c5325, "");
SYMBOL_CRC(ntb_db_event, 0x8ba050e2, "");
SYMBOL_CRC(ntb_msg_event, 0x9b218572, "");
SYMBOL_CRC(ntb_default_port_number, 0x0b6f8e0b, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0xcc0163f7, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0xb234f159, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x8528d0c3, "");
SYMBOL_CRC(ntb_msi_init, 0x246ad5cf, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0xa2a89449, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0xa8cb78c7, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x82530842, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0x57e38f7b, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0xae44752c, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x7b66c183, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9fe9d7dc, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x54ef93a5, "devm_iounmap" },
	{ 0xb1d43c42, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x64d374eb, "devres_destroy" },
	{ 0x1583ef8e, "msi_unlock_descs" },
	{ 0x8f00e882, "devm_ioremap" },
	{ 0x4ae2b69, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x21a9cfbc, "msi_lock_descs" },
	{ 0x870e4be7, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x93868926, "put_device" },
	{ 0x66320148, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa1a9089c, "bus_unregister" },
	{ 0xd058b6ff, "devm_kfree" },
	{ 0xba123fd3, "irq_get_irq_data" },
	{ 0xd7b195f0, "__devres_alloc_node" },
	{ 0xb24ec465, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x78466bba, "device_register" },
	{ 0xa01ce181, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb3b03f1, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x581199e, "msi_next_desc" },
	{ 0xba8a98e3, "driver_register" },
	{ 0x7adbaaa3, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x98669b87, "devm_request_threaded_irq" },
	{ 0x62dc1f79, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A412D77824E7022E588C0B");

MODULE_INFO(suserelease, "SLFO-1.2");
