#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x38679d0e, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x9a67cdf6, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x819ac316, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x958267fd, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x8c520f51, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x653320ad, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x9c0b367e, "_gpl");
SYMBOL_CRC(nd_device_notify, 0x500409cf, "");
SYMBOL_CRC(nvdimm_region_notify, 0xc705b7d3, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x4f9c464d, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xabea8cd5, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x8050046e, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x9eb14b77, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xe5108559, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xa4e3f7d0, "");
SYMBOL_CRC(nd_device_unregister, 0x67eb9513, "");
SYMBOL_CRC(__nd_driver_register, 0xff0fbdef, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xb0182f70, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xb8235c1c, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x8b62f9aa, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xdab1188b, "_gpl");
SYMBOL_CRC(to_ndd, 0x1500c9f4, "");
SYMBOL_CRC(nvdimm_name, 0xa70c2784, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x8ecb5aa3, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x450b4a2b, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x0cd50bd1, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x40cc4378, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0xf64d0c48, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xd3b50178, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xeb96c091, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x308bf40b, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0xe83557d0, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x0f846820, "_gpl");
SYMBOL_CRC(to_nd_region, 0x4f88745b, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xa22e02e1, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x5182acf2, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x6f0242e0, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x6f3d30d4, "");
SYMBOL_CRC(nd_region_release_lane, 0x9eb28f02, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x899e3eed, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x1a3a934f, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xb5960c3e, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xa6c8f73e, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x3ce76b9f, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xf6ced416, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x47df027c, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x27cd7e01, "");
SYMBOL_CRC(pmem_sector_size, 0xe55d8fa6, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xf4767362, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x2f514ab2, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xc764d259, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xa6c61854, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x7b44b8ba, "");
SYMBOL_CRC(devm_namespace_enable, 0x25301a86, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x45475d66, "_gpl");
SYMBOL_CRC(badrange_init, 0x11e06ee9, "_gpl");
SYMBOL_CRC(badrange_add, 0x2e08226d, "_gpl");
SYMBOL_CRC(badrange_forget, 0x82092899, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x31201792, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xe160a0b3, "");
SYMBOL_CRC(is_nd_btt, 0x958f8a7b, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xc7ce3223, "");
SYMBOL_CRC(nd_btt_version, 0x55c6e669, "");
SYMBOL_CRC(nd_btt_probe, 0x24ad7c4c, "");
SYMBOL_CRC(to_nd_pfn, 0x8a54a746, "");
SYMBOL_CRC(is_nd_pfn, 0xb848a436, "");
SYMBOL_CRC(nd_pfn_validate, 0x191e1707, "");
SYMBOL_CRC(nd_pfn_probe, 0x424ccce4, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0xdaf9c157, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x88934125, "");
SYMBOL_CRC(is_nd_dax, 0xa6412681, "");
SYMBOL_CRC(nd_dax_probe, 0x340d2301, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8ae3da6, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xa01ce181, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x17818cff, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7b61e76f, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x3c6feab8, "__devm_release_region" },
	{ 0x61e6e1b8, "request_key_tag" },
	{ 0xd6393f4a, "kernfs_put" },
	{ 0x942302a9, "__register_chrdev" },
	{ 0xf292b84e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x30fb1ad3, "badblocks_check" },
	{ 0x194557ee, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x858c5ad3, "badblocks_clear" },
	{ 0xcf77b61f, "device_find_child_by_name" },
	{ 0x97135cbd, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0xba8a98e3, "driver_register" },
	{ 0x7ef49864, "class_register" },
	{ 0xb86748d1, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x7adbaaa3, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7b3320af, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x73152eef, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x62dc1f79, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x76da9c22, "devm_memremap" },
	{ 0x9fe9d7dc, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x5fa7de1, "badblocks_set" },
	{ 0xb1d43c42, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x688d6b2b, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xe9197949, "badblocks_exit" },
	{ 0x2e0a2d9c, "pcpu_hot" },
	{ 0xf835ce6d, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x4ae2b69, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x22d86111, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7a8032e1, "kernfs_notify" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1628df89, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2496618, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x466cd284, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x93868926, "put_device" },
	{ 0xe031cc97, "badblocks_show" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x79415b3a, "const_pcpu_hot" },
	{ 0x27a6727, "_dev_info" },
	{ 0x5220d44f, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xac83eb7e, "compat_ptr_ioctl" },
	{ 0x2529575b, "perf_pmu_migrate_context" },
	{ 0xc5def019, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x896aca6c, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0xa1a9089c, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x8d0c01a8, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x6b406731, "__cpuhp_setup_state" },
	{ 0xa23d6419, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x3ebbd272, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xfa50b289, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xeba67fec, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0xb24ec465, "driver_unregister" },
	{ 0x383eaaef, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4028fc1, "perf_pmu_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a231e9, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A172FFE6B8D4B6B7E8CD68D");

MODULE_INFO(suserelease, "SLFO-1.2");
