#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_keyring_id, "_gpl", "");
KSYMTAB_FUNC(nvme_tls_key_lookup, "_gpl", "");
KSYMTAB_FUNC(nvme_tls_psk_refresh, "_gpl", "");
KSYMTAB_FUNC(nvme_tls_psk_default, "_gpl", "");

SYMBOL_CRC(nvme_keyring_id, 0x3b4f593f, "_gpl");
SYMBOL_CRC(nvme_tls_key_lookup, 0x2b8426ab, "_gpl");
SYMBOL_CRC(nvme_tls_psk_refresh, 0xe7029089, "_gpl");
SYMBOL_CRC(nvme_tls_psk_default, 0x424d319c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e424d61, "user_preparse" },
	{ 0x37a0cba, "kfree" },
	{ 0x4de1db4a, "register_key_type" },
	{ 0x6f04f1ff, "keyring_alloc" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92997ed8, "_printk" },
	{ 0xfe1d2e94, "key_create_or_update" },
	{ 0x79415b3a, "const_pcpu_hot" },
	{ 0x896aca6c, "key_put" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x80dc0ce, "key_revoke" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xec6d5273, "keyring_search" },
	{ 0xbe4f9eea, "user_read" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xb1cfc033, "generic_key_instantiate" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0xd87714f4, "seq_printf" },
	{ 0x4a3023ae, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0x340618ff, "key_lookup" },
	{ 0x218af00a, "key_set_timeout" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0x4698be3, "user_destroy" },
	{ 0xe95db3fc, "user_revoke" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x91676915, "unregister_key_type" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3AE2E40E762552A04BE6D53");

MODULE_INFO(suserelease, "SLFO-1.2");
