#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x095fee78, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x2506f86b, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0xf8e5084b, "");
SYMBOL_CRC(sdw_intel_startup, 0x6b5c5e49, "");
SYMBOL_CRC(sdw_intel_exit, 0xd732f485, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0xfc6e867b, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xacfb2e44, "fwnode_property_read_u16_array" },
	{ 0x6ad6110c, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xba9c4ae6, "debugfs_remove" },
	{ 0x4cbcc6d5, "cdns_xfer_msg_defer" },
	{ 0x2bf1fd4c, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf4f5162f, "device_del" },
	{ 0xa8a5cf30, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa58c3f6, "devm_kasprintf" },
	{ 0xd51dbd43, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x1fdfd00c, "seq_read" },
	{ 0xc724fc73, "sdw_stream_add_master" },
	{ 0x48b5460d, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x923d7768, "cdns_read_ping_status" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x525fe1a8, "acpi_fetch_acpi_dev" },
	{ 0x2fe5b52d, "device_get_named_child_node" },
	{ 0x97cc4ccd, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0xdeea2fa2, "sdw_cdns_config_update" },
	{ 0xd87714f4, "seq_printf" },
	{ 0xcdd549ff, "debugfs_create_file_full" },
	{ 0xb32d4e98, "sdw_bus_master_delete" },
	{ 0xa8ded679, "single_release" },
	{ 0x8ad3e90f, "__auxiliary_driver_register" },
	{ 0x79af5865, "sdw_cdns_check_self_clearing_bits" },
	{ 0x8f801317, "__pm_runtime_use_autosuspend" },
	{ 0xc66a3eee, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0xdf399adb, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x6e8a339, "single_open" },
	{ 0x2b9d8330, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x6b246ad1, "__pm_runtime_disable" },
	{ 0x41a230a6, "debugfs_create_dir" },
	{ 0xc081eb05, "sdw_master_read_prop" },
	{ 0xeba59ffa, "hdac_bus_eml_get_count" },
	{ 0x6ab5a620, "sdw_compute_params" },
	{ 0x1780cf24, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb9b76d14, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8d976e2b, "simple_attr_open" },
	{ 0x97ae5c1, "debugfs_attr_write" },
	{ 0x62dc1f79, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa63d3437, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd8da589f, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5a3617f8, "sdw_cdns_clock_restart" },
	{ 0x344d381a, "sdw_cdns_debugfs_init" },
	{ 0xc6a3c363, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0xd633eb7, "pm_runtime_set_autosuspend_delay" },
	{ 0x5ae82487, "sdw_bus_master_add" },
	{ 0x9ad26730, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x94b7b7a6, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0x53798816, "sdw_cdns_is_clock_stop" },
	{ 0xa564cecf, "seq_lseek" },
	{ 0x886643a, "sdw_cdns_config_update_set_wait" },
	{ 0xf835ce6d, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x22d86111, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb8c4be52, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8d7309fc, "__pm_runtime_set_status" },
	{ 0x28e4e307, "auxiliary_driver_unregister" },
	{ 0x1a826fac, "devm_snd_soc_register_component" },
	{ 0xf951b4f4, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x93868926, "put_device" },
	{ 0x5f4c5ef6, "cdns_set_sdw_stream" },
	{ 0x9acda732, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5881b8e, "fwnode_property_read_u32_array" },
	{ 0x27a6727, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x61b45450, "sdw_clear_slave_status" },
	{ 0xd50c7d12, "debugfs_attr_read" },
	{ 0x80f5c591, "sdw_stream_remove_master" },
	{ 0x7638f146, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x6c49f108, "sdw_cdns_exit_reset" },
	{ 0x8d0c01a8, "_dev_err" },
	{ 0x9fa96854, "hdac_bus_eml_sdw_get_lsdiid_unlocked" },
	{ 0x413e12b4, "simple_attr_release" },
	{ 0xce5d9652, "__auxiliary_device_add" },
	{ 0xfadd1a4f, "sdw_cdns_alloc_pdi" },
	{ 0x851583a0, "sdw_cdns_clock_stop" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-mlink,soundwire-cadence,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "5246981DC83D7F233A4C3AD");

MODULE_INFO(suserelease, "SLFO-1.2");
