#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x3ee295c7, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0x7e644c16, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0xaef88e20, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x12942b4f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0x3fd92bde, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0xc71a9345, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x7770dc15, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x69680a3b, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0x18e591dc, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xac6de3fd, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xaca150fe, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x1d6e500d, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x4092bcdc, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x73eb5aaa, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xf77c230b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x65cb45a1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xe1973608, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x5ee0a9f9, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x407b9987, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x48e26e3e, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3a61094c, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xade3f682, "trace_event_buffer_reserve" },
	{ 0xb58cc74e, "trace_event_buffer_commit" },
	{ 0x84dbf7af, "__trace_trigger_soft_disabled" },
	{ 0x89b6d0dd, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x7975e714, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd3786c34, "bpf_trace_run1" },
	{ 0xa6b92f41, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb11c7f3d, "sk_error_report" },
	{ 0x7718a02e, "ip_icmp_error" },
	{ 0x779a48d7, "ipv6_icmp_error" },
	{ 0x92997ed8, "_printk" },
	{ 0x3aa21955, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13e39c65, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1a16892, "sock_create_kern" },
	{ 0x4623d7db, "kernel_bind" },
	{ 0x50489d45, "kernel_connect" },
	{ 0x67c06c0d, "udp_sock_create6" },
	{ 0x703dca9d, "kernel_sock_shutdown" },
	{ 0x7d5a3a17, "sock_release" },
	{ 0xe1db4806, "udp_sock_create4" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x2e0a2d9c, "pcpu_hot" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x631bec55, "sk_free" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x14d44044, "sk_skb_reason_drop" },
	{ 0x7ecb069f, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x48213b4e, "udp_set_csum" },
	{ 0x6bb6fbb2, "ip_queue_xmit" },
	{ 0x8e9ba0a7, "pskb_expand_head" },
	{ 0x9d5c8f5b, "udp6_set_csum" },
	{ 0x828f7bad, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xfd277c7b, "dst_release" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x28c262be, "sockfd_lookup" },
	{ 0xa5622cb, "lock_sock_nested" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xd38e11f1, "release_sock" },
	{ 0x1b406160, "fput" },
	{ 0xd281ebb0, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc9463945, "skb_queue_tail" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xff4d605d, "__pskb_pull_tail" },
	{ 0xcae06bf8, "trace_event_reg" },
	{ 0xbb0b8977, "trace_event_raw_init" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "DED7F0743002865D2427A3C");

MODULE_INFO(suserelease, "SLFO-1.2");
